Bug 230294 - System generally unresponsive without ShadowFB
System generally unresponsive without ShadowFB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 19:06 EST by Richard Hughes
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-11 16:56:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2007-02-27 19:06:14 EST
Description of problem:
gnome-terminal seems to make the xorg process use 100% of the CPU for a
2-3 seconds when scrolling text such as dmesg. Does not happen with
xterm.
Fixed when using Option ShadowFB in xorg.conf, although this is obviously
non-ideal. Also causes general system slowdown in X applications, but to a
lesser degree.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.2.0-6.fc7

How reproducible:
On this machine, always.

Steps to Reproduce:
1. Install rawhide
2. Open gnome-terminal, type dmesg
3. Watch the CPU usage hit 100% for a couple of seconds on a dual core 1.6GHz
machine.
  
Actual results:
LOTS of CPU usage, 2 or three seconds.

Expected results:
A few ms of 0.X% CPU usage.

Additional info:

hughsie@localhost:~$ opreport -cl --demangle=smart `which Xorg`
warning: /usr/bin/Xorg could not be read.
CPU: Core Solo / Duo, speed 1662.68 MHz (estimated)
Counted CPU_CLK_UNHALTED events (Unhalted clock cycles) with a unit mask of 0x00
(Unhalted core cycles) count 860000
samples  %        image name               symbol name
-------------------------------------------------------------------------------
1582     88.2812  libfb.so                 fbCompositeSolidMask_nx8888x8888Cmmx
  1582     100.000  libfb.so                
fbCompositeSolidMask_nx8888x8888Cmmx [self]
-------------------------------------------------------------------------------
136       7.5893  libfb.so                 fbCompositeSrcAdd_8888x8888mmx
  136      100.000  libfb.so                 fbCompositeSrcAdd_8888x8888mmx [self]
-------------------------------------------------------------------------------
65        3.6272  nv_drv.so                NVSync
  65       100.000  nv_drv.so                NVSync [self]
-------------------------------------------------------------------------------
5         0.2790  Xorg                     (no symbols)
  5        100.000  Xorg                     (no symbols) [self]
-------------------------------------------------------------------------------
2         0.1116  libfb.so                 fbPolySegment32
  2        100.000  libfb.so                 fbPolySegment32 [self]
-------------------------------------------------------------------------------
1         0.0558  libc-2.5.90.so           free
  1        100.000  libc-2.5.90.so           free [self]
-------------------------------------------------------------------------------
1         0.0558  libfb.so                 fbSolidFillmmx
  1        100.000  libfb.so                 fbSolidFillmmx [self]
-------------------------------------------------------------------------------
Comment 1 Matěj Cepl 2007-03-02 12:49:44 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Richard Hughes 2007-05-11 11:29:24 EDT
No longer a problem with the latest rawhide. Do you still want the logs? Thanks.
Comment 3 Adam Jackson 2007-05-11 16:56:15 EDT
Nah, 'salright.

Note You need to log in before you can comment on or make changes to this bug.